# cyclonedx.model.release_note

## Classes

`ReleaseNotes` | This is our internal representation of a releaseNotesType for a Component in a BOM.

## Module Contents

class cyclonedx.model.release_note.ReleaseNotes(*, type: str, title: str | None = None, featured_image: cyclonedx.model.XsUri | None = None, social_image: cyclonedx.model.XsUri | None = None, description: str | None = None, timestamp: datetime.datetime | None = None, aliases: collections.abc.Iterable[str] | None = None, tags: collections.abc.Iterable[str] | None = None, resolves: collections.abc.Iterable[cyclonedx.model.issue.IssueType] | None = None, notes: collections.abc.Iterable[cyclonedx.model.Note] | None = None, properties: collections.abc.Iterable[cyclonedx.model.Property] | None = None)

  This is our internal representation of a releaseNotesType for a Component in a BOM.

  Note

  See the CycloneDX Schema definition: https://cyclonedx.org/docs/1.7/xml/#type_releaseNotesType

  property type: str

    The software versioning type.

    It is RECOMMENDED that the release type use one of ‘major’, ‘minor’, ‘patch’, ‘pre-release’, or ‘internal’.

    Representing all possible software release types is not practical, so standardizing on the recommended values, whenever possible, is strongly encouraged.

    - major = A major release may contain significant changes or may introduce breaking changes.

    - minor = A minor release, also known as an update, may contain a smaller number of changes than major

        releases.

    - patch = Patch releases are typically unplanned and may resolve defects or important security issues.

    - pre-release = A pre-release may include alpha, beta, or release candidates and typically have limited

        support. They provide the ability to preview a release prior to its general availability.

    - internal = Internal releases are not for public consumption and are intended to be used exclusively by the

        project or manufacturer that produced it.

  property title: str | None

    The title of the release.

  property featured_image: cyclonedx.model.XsUri | None

    The URL to an image that may be prominently displayed with the release note.

  property social_image: cyclonedx.model.XsUri | None

    The URL to an image that may be used in messaging on social media platforms.

  property description: str | None

    A short description of the release.

  property timestamp: datetime.datetime | None

    The date and time (timestamp) when the release note was created.

  property aliases: SortedSet[str]

    One or more alternate names the release may be referred to. This may include unofficial terms used by development and marketing teams (e.g. code names).

    Returns:

      Set of str

  property tags: SortedSet[str]

    One or more tags that may aid in search or retrieval of the release note.

    Returns:

      Set of str

  property resolves: SortedSet[IssueType]

    A collection of issues that have been resolved.

    Returns:

      Set of IssueType

  property notes: SortedSet[Note]

    Zero or more release notes containing the locale and content. Multiple note elements may be specified to support release notes in a wide variety of languages.

    Returns:

      Set of Note

  property properties: SortedSet[Property]

    Provides the ability to document properties in a name-value store. This provides flexibility to include data not officially supported in the standard without having to use additional namespaces or create extensions. Unlike key-value stores, properties support duplicate names, each potentially having different values.

    Returns:

      Set of Property